html {
    display: grid;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    overflow-x: hidden;
    overflow-y: scroll;
    font-size: 20px;
    max-width: 800px;
    justify-self: center;
}
.content {
    display: table;
    width: 100%;
}

.field {
    display: table-row;
}

.field > * {
    display: table-cell;
}
.field > select {
    width: 100%;
}


input,select {
    font-size: 20px;
    font-family: Arial, Helvetica, sans-serif;
}

.emb {
    width: 100%;
}

.header-container {
    background-color:#e0e0e0;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

textarea
{
  border:1px solid #999999;
  margin:5px 0;
  padding:3px;
  font-size: 30px;
  width: 100%;
  font-family: Arial, Helvetica, sans-serif;
}

.row {
    padding: 3px;
}

/* Style the tab */
.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

button {
    border: 2px solid #000000;
    border-radius: 5px;
    cursor: pointer;
    padding: 14px 16px;
    margin: 15px;
}
button:hover {
    background-color: #ddd;
}

/* Create an active/current tablink class */
button.active {
  background-color: #ccc;
}

/* Style the buttons that are used to open the tab content */
.tab button {
    background-color: #ddd;
    float: left;
    border: none;
    border-radius: 15px 15px 0 0;
    outline: none;
    cursor: pointer;
    padding: 8px 16px;
    margin: 10px 5px 0px 5px;
    transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #888;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #aaa;
}

.tab-container {
    position: relative;
    width: 95%;
    max-width: 700px;
}

.tab-content > div {
    padding: 6px 12px;
    border: 1px solid #ccc;
    background: rgba(255, 255, 255, 255);
}

.tab-content-hidden > div {
    padding: 6px 12px;
    border: 1px solid #ccc;
    width: 1px;
}

.xtab-content-hidden {
    z-index: 1;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0px;
}

.tab-content-hidden {
    display: none;
}

.tab-content {
    position: absolute;
    display: block;
    top: 0px;
    left: 0px;
}

.xtab-content {
    z-index: 99;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 255);
}

.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/***********clearfix*/
/*
.clearfix:after {
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}

.clearfix {
    display: inline-block;
}

html[xmlns] .clearfix {
    display: block;
}

* html .clearfix {
    height: 1%;
}

*/

@font-face {
    font-family: "Kaushan Script";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/KaushanScript-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Analecta";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Analecta_hint.ttf") format("truetype");
}
@font-face {
    font-family: "Anaktoria";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Anaktoria_hint.ttf") format("truetype");
}
@font-face {
    font-family: "Akkadian";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Akkadian_hint.ttf") format("truetype");
}
@font-face {
    font-family: "DotGothic16";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/DotGothic16-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Dyuthi";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Dyuthi-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Lobster Two";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/LobsterTwo-Regular.otf") format("opentype");
}
@font-face {
    font-family: "Purisa";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Purisa.ttf") format("truetype");
}
@font-face {
    font-family: "Uroob";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Uroob-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Z003";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/Z003-MediumItalic.otf") format("opentype");
}
@font-face {
    font-family: "eufm10";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/eufm10.ttf") format("truetype");
}
@font-face {
    font-family: "dsrom10";
    src: url("https://jarney.github.io/spark/laser-cutters-6090/svg-templates/fonts/dsrom10.ttf") format("truetype");
}


.custom-select {
    position: relative;
    display: inline-block;
    width: 100%;
}

.select-selected {
    background-color: #ccc;
    color: #333333;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 5px;
    border-color: #000;
    border-width: 1px;
    border-style: solid;
    display: flex;
}

/* Style the dropdown items */
.select-items {
    position: absolute;
    display: none;
    background-color: #d88181;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    z-index: 1;
    width: 100%;
}

/* Style the dropdown items */
.select-items div {
    padding: 10px;
    cursor: pointer;
}

/* Style the dropdown items on hover */
.select-items div:hover {
    background-color: #c69c9c;
}
